<?php
/**
 *
 * Copyright (C) Die Randgruppe GmbH
 *
 * http://www.randshop.com
 * http://www.dierandgruppe.com
 *
 * Unter der Lizenz von Die Randgruppe GmbH:
 * http://www.randshop.com/Lizenz
 *
 */


include_once("../../conf/config.inc.php");
include_once(DATEIPFAD . 'conf/db.inc.php');
include_once(DATEIPFAD . 'includes/functions.easymarketing.inc.php');

$resultObj = new stdClass();

switch($_REQUEST['action']) {
    case 'autoconfig':
        SaveKeyValueEinstellungen('easymarketing', 'access_token', $_REQUEST['access_token']);
        SaveKeyValueEinstellungen('easymarketing', 'root_kategorie', $_REQUEST['root_kategorie']);
        $configObj = new stdClass();
        $configObj->website_url = str_replace(PROTOCOL . '://', '', URLPFAD);
        $configObj->access_token = $_REQUEST['access_token'];
        $configObj->shop_token = getShopToken();
        $configObj->categories_api_endpoint = URLPFAD . 'interfaces/easymarketing_api/categories.php';
        $configObj->shop_category_root_id = intval($_REQUEST['root_kategorie']);
        $configObj->products_api_endpoint = URLPFAD . 'interfaces/easymarketing_api/products.php';
        $configObj->product_by_id_api_endpoint = URLPFAD . 'interfaces/easymarketing_api/product_by_id.php';
        $configObj->best_products_api_endpoint = URLPFAD . 'interfaces/easymarketing_api/best_products.php';
        $configObj->new_products_api_endpoint = URLPFAD . 'interfaces/easymarketing_api/new_products.php';
        $configObj->shopsystem_info_api_endpoint = URLPFAD . 'interfaces/easymarketing_api/shopsystem_info.php';
        $configObj->api_setup_test_single_product_id = getEasymarketingTestArtikelID();

        $result = doEasymarketingAPICallPost('configure_endpoints', $_REQUEST['access_token'], $configObj);
        if($result->api_properly_setup) {
            $resultObj->status = 'ok';
        } else {
            $resultObj->status = 'error';
            $resultObj->errors = array_merge(($result->errors?$result->errors:array()), ($result->parser_errors?$result->parser_errors:array()));
        }

        if($resultObj->status == 'ok') {
            $result = doEasymarketingAPICallGet('conversion_tracker', array('access_token' => $_REQUEST['access_token'], 'website_url' => str_replace(PROTOCOL . '://', '', URLPFAD)));
            if($result) {
                SaveKeyValueEinstellungen('easymarketing', 'conversion_tracker_code', $result->code);
            } else {
                $resultObj->status = 'error';
                $resultObj->errors = array('Conversion Tracker Code konnte nicht heruntergeladen werden');
            }
        }
        break;
}

echo json_encode($resultObj);