<?php
/**
 * 
 * Copyright (C) Die Randgruppe GmbH
 * 
 * http://www.randshop.com
 * http://www.dierandgruppe.com
 * 
 * Unter der Lizenz von Die Randgruppe GmbH:
 * http://www.randshop.com/Lizenz
 *  
 * $Author: $
 * $Date: $
 * $Revision: $
 * 
 */

session_start();

// PHP-Includes
include_once("../../conf/config.inc.php");
include_once(DATEIPFAD . "conf/db.inc.php");
include_once(DATEIPFAD . "admin/global_off.inc.php");
include_once(DATEIPFAD . "includes/language/langu_" . LANGU_ADMIN . ".inc.php");
include_once(DATEIPFAD . "includes/language/langu_admin_" . LANGU_ADMIN . ".inc.php");
include_once(DATEIPFAD . "includes/functions.shopeinstellung.inc.php");
include_once(DATEIPFAD . "includes/functions.menue.inc.php");
include_once(DATEIPFAD . "includes/functions.easymarketing.inc.php");

include_once("einstellungen_reiter.inc.php");
$tabReiter->setActiveID('easymarketing');

if($_POST['formaction'] == 'save')
{
    SaveKeyValueEinstellungen('easymarketing', 'access_token', $_POST['access_token']);
    SaveKeyValueEinstellungen('easymarketing', 'root_kategorie', $_POST['root_kategorie']);
}

if($_POST['reiter'])
{
	$tabReiter->redirect($_POST['reiter']);
}

$einstellungen = GetEinstellungen('', 'easymarketing');


$tpl_shop_token = getShopToken();
$tpl_access_token = $einstellungen->easymarketing->access_token;
$tpl_root_kategorie = $einstellungen->easymarketing->root_kategorie;

$SQLString = "SELECT kategorie_sort FROM " . TABLE_ALLGEMEIN;
$KategorieSortObject = mysql_fetch_object(errorlogged_mysql_query($SQLString));
$KategorieSort = $KategorieSortObject->kategorie_sort;
$KategorieArray = GetKategorieList("", "", $KategorieSort, $LanguageID);


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
    <title><?php echo $a_admin ?></title>
    <link rel="stylesheet" type="text/css" href="../style/style.css">
    <script language="JavaScript" src="../../js_function/global.js" type="text/javascript"></script>
    <script type="text/javascript" src="../../js_function/jquery.js"></script>
    <meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET ?>">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="pragma" content="no-cache">
    <meta HTTP-EQUIV="Expires" CONTENT="0">

    <script language="javascript">
    
        function SubmitForm(Formname, Formaction, Confirmaction) {
            
            if (Formaction) {
                document.forms[Formname].formaction.value = Formaction;
            }
            
            if (Confirmaction) {
                document.forms[Formname].confirmaction.value = Confirmaction;
            }
            
            document.forms[Formname].submit();

        }

    </script>
    <script type="text/javascript">
        function onClickAutoConfig() {
            $('#bitteWarten').css('display', '');
            $('#autoconfigResult').html('');
            $.ajax({
                url: '<?php echo URLPFAD?>admin/artikel/easymarketing_controller.php',
                type: 'post',
                dataType: 'json',
                data: {
                    'action': 'autoconfig',
                    'access_token': document.form_einstellungen.access_token.value,
                    'root_kategorie': document.form_einstellungen.root_kategorie.value
                },
                success: function(data) {
                    $('#autoconfigResultRow').css('display','');
                    $('#bitteWarten').css('display','none');
                    if(data.status == 'ok') {
                        $('#autoconfigResult').text('<?php echo $lang_admin_easymarketing_autoconfig_success?>');
                    } else if(data.status = 'error') {
                        var text = '<?php echo $lang_admin_easymarketing_autoconfig_error?>';
                        for(var i in data.errors) {
                            text += '<br />' + data.errors[i];
                        }
                        $('#autoconfigResult').html(text);
                    }
                }
            });
        }
    </script>
</head>

<body class="mainBackground">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
    <td class="mainBackground" colspan="7">&nbsp;<b><?php echo $a_se_headline ?></b></td>
</tr>
<tr>
    <td class="mainBackground" colspan="7"><img src="../images/trans.gif" width="1" height="10" border="0"></td>
</tr>
<tr>
	<?php foreach($tabReiter->getReiterArray() as $reiterID => $reiter) { 
		if($reiterID == $tabReiter->getActiveID())
		{?>
		    <td><img src="../images/navi_ecke.gif" width="11" height="18" alt="" border="0"></td>
		    <td bgcolor="#E5E5E5" nowrap><b><?php echo $reiter['name'] ?></b>&nbsp;</td>
		    <td><img src="../images/trans.gif" width="1" height="1" border="0"></td>
	<?php 
		} else { ?>
		    <td bgcolor="#E5E5E5"><img src="../images/navi_ecke.gif" width="11" height="18" alt="" border="0"></td>
            <td bgcolor="#E5E5E5" nowrap><a href="javascript:document.form_einstellungen.reiter.value = '<?php echo $reiter['id']?>'; SubmitForm('form_einstellungen', 'save');"><b><?php echo $reiter['name'];?></b></a>&nbsp;</td>
		    <td bgcolor="#E5E5E5"><img src="../images/trans.gif" width="1" height="1" border="0"></td>
	<?php
		}
	} ?>
    <td width="100%"><img src="../images/trans.gif" width="1" height="1" border="0"></td>
</tr>
</table>
<form name="form_einstellungen" method="post" action="" enctype="multipart/form-data">
<input type="hidden" name="formaction" value="save">
<input type="hidden" name="source" value="post">
<input type="hidden" name="reiter" value="">
    <table cellspacing="0" cellpadding="1" border="0" width="100%" bgcolor="#E5E5E5">

        <tr>
            <td class="mainBackground"><img src="../images/trans.gif" width="1" height="1" border="0"></td>
        </tr>
        <tr>
            <td class="artikelUnterteilung">&nbsp;<b><?php echo $lang_admin_parameter ?></b></td>
        </tr>
        <tr>
            <td>
                <table cellspacing="0" cellpadding="3" border="0" class="mainBackground" width="100%">
                    <tr>
                        <td>
                            <nobr><?php echo $lang_admin_shoptoken ?></nobr>
                        </td>
                        <td>
                            <input type="text" name="shop_token" value="<?php echo $tpl_shop_token?>" readonly="readonly">
                        </td>
                        <td width="99%">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <nobr><?php echo $lang_admin_accesstoken ?></nobr>
                        </td>
                        <td>
                            <input type="text" name="access_token" value="<?php echo $tpl_access_token?>">
                        </td>
                        <td width="99%">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <?php echo $lang_admin_easymarketing_root_kategorie?>
                        </td>
                        <td>
                            <select name="root_kategorie">
                                <option value="0" <?php echo ($tpl_root_kategorie==0?'selected':'')?>>gesamter Shop</option>
                                <?php foreach($KategorieArray as $kategorie) {?>
                                    <option value="<?php echo $kategorie['id']?>" <?php echo ($tpl_root_kategorie==$kategorie['id']?'selected':'')?>><?php echo str_repeat("&nbsp;", ($kategorie["level"]-1) * 3 + 3) . $kategorie['name']?></option>
                                <?php }?>
                            </select>
                        </td>
                        <td>

                        </td>
                    </tr>
                    <tr>
                        <td>
                            <?php echo $lang_admin_easymarketing_autoconfig?>
                        </td>
                        <td>
                            <input type="button" value="<?php echo $lang_admin_starten?>" onclick="onClickAutoConfig()">
                        </td>
                        <td width="99%">

                        </td>
                    </tr>
                    <tr id="bitteWarten" style="display:none;">
                        <td>

                        </td>
                        <td>
                            <?php echo $lang_admin_easymarketing_bitte_warten?> <img src="../images/ajax_work.gif">
                        </td>
                        <td>

                        </td>
                    </tr>
                    <tr id="autoconfigResultRow" style="display:none;">
                        <td>

                        </td>
                        <td id="autoconfigResult" colspan="2">

                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

    <input type="submit" value="<?php echo $s_speichern?>" name="absenden">
</form>
</body>